怎样安装re2c

2019年4月12日 | 分类: 【技术】

【排错】

从git编译 php 7.4 ,configure时报错:

configure: error: re2c 0.13.4 is required to generate PHP lexers.

【介绍】

官网:http://re2c.org/

手册:http://re2c.org/install/install.html

【yum安装RPM包】

yum install https://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/r/re2c-0.14.3-2.el7.x86_64.rpm

【git源码编译安装】

git clone https://github.com/skvadrik/re2c.git re2c
cd re2c
./autogen.sh
./configure
make
make install